{{!
    This file is part of Moodle - http://moodle.org/

    Moodle is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    Moodle is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
}}
<div class="messaging-area-container" data-userid="{{userid}}" data-displaycontacts="{{contactsfirst}}">
    <div class="messaging-area {{#requestedconversation}}show-messages{{/requestedconversation}}
            {{^requestedconversation}}hide-messages{{/requestedconversation}}" data-region="messaging-area">
        <div class="contacts-area" data-region="contacts-area" role="tablist">
            {{#contacts}}
                {{> core_message/message_area_contacts_area }}
            {{/contacts}}
        </div>
        <div class="messages-area direct-chat direct-chat-primary" data-region="messages-area" role="log">
            {{#messages}}
                {{> core_message/message_area_messages_area }}
            {{/messages}}
        </div>
    </div>
</div>
{{#js}}
    require(['core_message/message_area'],
        function(Messagearea) {
            new Messagearea('.messaging-area-container', {{pollmin}}, {{pollmax}}, {{polltimeout}});
        }
    );
{{/js}}
